[llvm-commits] [llvm-gcc-4.2] r101614 - in /llvm-gcc-4.2/trunk/libgomp: configure configure.ac
Bob Wilson
bob.wilson at apple.com
Fri Apr 16 22:19:48 PDT 2010
Author: bwilson
Date: Sat Apr 17 00:19:47 2010
New Revision: 101614
URL: http://llvm.org/viewvc/llvm-project?rev=101614&view=rev
Log:
Add error messages for tests that have been failing occasionally in hopes of
figuring out what is going wrong.
Modified:
llvm-gcc-4.2/trunk/libgomp/configure
llvm-gcc-4.2/trunk/libgomp/configure.ac
Modified: llvm-gcc-4.2/trunk/libgomp/configure
URL: http://llvm.org/viewvc/llvm-project/llvm-gcc-4.2/trunk/libgomp/configure?rev=101614&r1=101613&r2=101614&view=diff
==============================================================================
--- llvm-gcc-4.2/trunk/libgomp/configure (original)
+++ llvm-gcc-4.2/trunk/libgomp/configure Sat Apr 17 00:19:47 2010
@@ -718,13 +718,13 @@
/^X\(\/\).*/{ s//\1/; q; }
s/.*/./; q'`
srcdir=$ac_confdir
- if test ! -r "$srcdir/$ac_unique_file"; then
+ if test ! -r $srcdir/$ac_unique_file; then
srcdir=..
fi
else
ac_srcdir_defaulted=no
fi
-if test ! -r "$srcdir/$ac_unique_file"; then
+if test ! -r $srcdir/$ac_unique_file; then
if test "$ac_srcdir_defaulted" = yes; then
{ echo "$as_me: error: cannot find sources ($ac_unique_file) in $ac_confdir or .." >&2
{ (exit 1); exit 1; }; }
@@ -733,7 +733,7 @@
{ (exit 1); exit 1; }; }
fi
fi
-(cd $srcdir && test -r "./$ac_unique_file") 2>/dev/null ||
+(cd $srcdir && test -r ./$ac_unique_file) 2>/dev/null ||
{ echo "$as_me: error: sources are in $srcdir, but \`cd $srcdir' does not work" >&2
{ (exit 1); exit 1; }; }
srcdir=`echo "$srcdir" | sed 's%\([^\\/]\)[\\/]*$%\1%'`
@@ -10112,6 +10112,7 @@
fi
fi
rm -f conftest.val
+# LLVM LOCAL begin Add error messages.
if test "$cross_compiling" = yes; then
# Depending upon the size, compute the lo and hi bounds.
cat >conftest.$ac_ext <<_ACEOF
@@ -10368,7 +10369,9 @@
done
case $ac_lo in
?*) OMP_LOCK_ALIGN=$ac_lo;;
-'') ;;
+'') { { echo "$as_me:$LINENO: error: unsupported system, cannot find __alignof (omp_lock_t)" >&5
+echo "$as_me: error: unsupported system, cannot find __alignof (omp_lock_t)" >&2;}
+ { (exit 1); exit 1; }; } ;;
esac
else
if test "$cross_compiling" = yes; then
@@ -10433,6 +10436,10 @@
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
+( exit $ac_status )
+{ { echo "$as_me:$LINENO: error: unsupported system, cannot find __alignof (omp_lock_t)" >&5
+echo "$as_me: error: unsupported system, cannot find __alignof (omp_lock_t)" >&2;}
+ { (exit 1); exit 1; }; }
fi
rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
fi
@@ -10694,7 +10701,9 @@
done
case $ac_lo in
?*) OMP_NEST_LOCK_SIZE=$ac_lo;;
-'') ;;
+'') { { echo "$as_me:$LINENO: error: unsupported system, cannot find sizeof (omp_nest_lock_t)" >&5
+echo "$as_me: error: unsupported system, cannot find sizeof (omp_nest_lock_t)" >&2;}
+ { (exit 1); exit 1; }; } ;;
esac
else
if test "$cross_compiling" = yes; then
@@ -10759,6 +10768,10 @@
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
+( exit $ac_status )
+{ { echo "$as_me:$LINENO: error: unsupported system, cannot find sizeof (omp_nest_lock_t)" >&5
+echo "$as_me: error: unsupported system, cannot find sizeof (omp_nest_lock_t)" >&2;}
+ { (exit 1); exit 1; }; }
fi
rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
fi
@@ -11020,7 +11033,9 @@
done
case $ac_lo in
?*) OMP_NEST_LOCK_ALIGN=$ac_lo;;
-'') ;;
+'') { { echo "$as_me:$LINENO: error: unsupported system, cannot find __alignof (omp_nest_lock_t)" >&5
+echo "$as_me: error: unsupported system, cannot find __alignof (omp_nest_lock_t)" >&2;}
+ { (exit 1); exit 1; }; } ;;
esac
else
if test "$cross_compiling" = yes; then
@@ -11085,11 +11100,16 @@
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
+( exit $ac_status )
+{ { echo "$as_me:$LINENO: error: unsupported system, cannot find __alignof (omp_nest_lock_t)" >&5
+echo "$as_me: error: unsupported system, cannot find __alignof (omp_nest_lock_t)" >&2;}
+ { (exit 1); exit 1; }; }
fi
rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
fi
fi
rm -f conftest.val
+# LLVM LOCAL end Add error messages.
# If the lock fits in an integer, then arrange for Fortran to use that
# integer. If it doesn't, then arrange for Fortran to use a pointer.
Modified: llvm-gcc-4.2/trunk/libgomp/configure.ac
URL: http://llvm.org/viewvc/llvm-project/llvm-gcc-4.2/trunk/libgomp/configure.ac?rev=101614&r1=101613&r2=101614&view=diff
==============================================================================
--- llvm-gcc-4.2/trunk/libgomp/configure.ac (original)
+++ llvm-gcc-4.2/trunk/libgomp/configure.ac Sat Apr 17 00:19:47 2010
@@ -306,9 +306,14 @@
_AC_COMPUTE_INT([sizeof (omp_lock_t)], [OMP_LOCK_SIZE],,
[AC_MSG_ERROR([unsupported system, cannot find sizeof (omp_lock_t)])])
-_AC_COMPUTE_INT([__alignof (omp_lock_t)], [OMP_LOCK_ALIGN])
-_AC_COMPUTE_INT([sizeof (omp_nest_lock_t)], [OMP_NEST_LOCK_SIZE])
-_AC_COMPUTE_INT([__alignof (omp_nest_lock_t)], [OMP_NEST_LOCK_ALIGN])
+# LLVM LOCAL begin Add error messages.
+_AC_COMPUTE_INT([__alignof (omp_lock_t)], [OMP_LOCK_ALIGN],,
+ [AC_MSG_ERROR([unsupported system, cannot find __alignof (omp_lock_t)])])
+_AC_COMPUTE_INT([sizeof (omp_nest_lock_t)], [OMP_NEST_LOCK_SIZE],,
+ [AC_MSG_ERROR([unsupported system, cannot find sizeof (omp_nest_lock_t)])])
+_AC_COMPUTE_INT([__alignof (omp_nest_lock_t)], [OMP_NEST_LOCK_ALIGN],,
+ [AC_MSG_ERROR([unsupported system, cannot find __alignof (omp_nest_lock_t)])])
+# LLVM LOCAL end Add error messages.
# If the lock fits in an integer, then arrange for Fortran to use that
# integer. If it doesn't, then arrange for Fortran to use a pointer.
More information about the llvm-commits
mailing list